Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxPerfProfAccCodelet.h
    00001 /*
    00002  * @file IxPerfProfAccCodelet.h
    00003  *
    00004  * @date June-18-2003
    00005  *
    00006  * @brief This is the header file for the PerfProf Access Compenent Codelet.
    00007  *
    00008  * @version $Revision: 1.8 $
    00009  *
    00010  * @par
    00011  * -- Intel Copyright Notice --
    00012  *
    00013  * @par
    00014  * Copyright 2003 Intel Corporation All Rights Reserved.
    00015  *
    00016  * @par
    00017  * The source code contained or described herein and all documents
    00018  * related to the source code ("Material") are owned by Intel Corporation
    00019  * or its suppliers or licensors.  Title to the Material remains with
    00020  * Intel Corporation or its suppliers and licensors.
    00021  *
    00022  * @par
    00023  * The Material is protected by worldwide copyright and trade secret laws
    00024  * and treaty provisions. No part of the Material may be used, copied,
    00025  * reproduced, modified, published, uploaded, posted, transmitted,
    00026  * distributed, or disclosed in any way except in accordance with the
    00027  * applicable license agreement .
    00028  *
    00029  * @par
    00030  * No license under any patent, copyright, trade secret or other
    00031  * intellectual property right is granted to or conferred upon you by
    00032  * disclosure or delivery of the Materials, either expressly, by
    00033  * implication, inducement, estoppel, except in accordance with the
    00034  * applicable license agreement.
    00035  *
    00036  * @par
    00037  * Unless otherwise agreed by Intel in writing, you may not remove or
    00038  * alter this notice or any other notice embedded in Materials by Intel
    00039  * or Intel's suppliers or licensors in any way.
    00040  *
    00041  * @par
    00042  * For further details, please see the file README.TXT distributed with
    00043  * this software.
    00044  *
    00045  * @par
    00046  * -- End Intel Copyright Notice --
    00047  */
    00048
    00214 #ifndef IxPerfProfAccCodelet_H
    00215 #define IxPerfProfAccCodelet_H
    00216 #endif
    00217
    00218 #include "IxPerfProfAcc.h"
    00219 #include "IxTypes.h"
    00220 #include "IxOsServices.h"
    00221
    00222
    00230 #define    PSS_MASK                  0x3f000
    00231
    00240 #define    EXPANSION_BUS             0x1000
    00241
    00250 #define    SDRAM_CONTROLLER          0x2000
    00251
    00260 #define    PCI                       0x4000
    00261
    00270 #define    QUEUE_MANAGER             0x8000
    00271
    00280 #define    AHB_APB_BRIDGE            0x10000
    00281
    00289 typedef enum
    00290 {
    00291         IX_PERFPROF_ACC_CODELET_MODE_HELP = 0,
    00292         IX_PERFPROF_ACC_CODELET_MODE_ALL,
    00293         IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_NORTH_MODE,
    00294         IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SOUTH_MODE,
    00295         IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_SDRAM_MODE,
    00296         IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_EVENT_SAMPLING,
    00297         IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_TIME_SAMPLING,
    00298         IX_PERFPROF_ACC_CODELET_MODE_XSCALE_PMU_EVENT_COUNTING,
    00299         IX_PERFPROF_ACC_CODELET_MODE_XCYCLE,
    00300         IX_PERFPROF_ACC_CODELET_MODE_BUS_PMU_PMSR_GET
    00301 } IxPerfProfAccCodeletMode;
    00302
    00336 PUBLIC void
    00337 ixPerfProfAccCodeletMain (IxPerfProfAccCodeletMode mode,
    00338                           UINT32 param1,
    00339                           UINT32 param2,
    00340                           UINT32 param3,
    00341                           UINT32 param4,
    00342                           UINT32 param5,
    00343                           UINT32 param6,
    00344                           UINT32 param7,
    00345                           UINT32 param8,
    00346                           UINT32 param9);
Automatically generated from sources. © Intel Corp. 2003